com.buschmais.jqassistant.plugin.maven3.api.model

## Interface MavenProfileActivationDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, MavenDescriptor

      @Label(value="ProfileActivation")
      public interface MavenProfileActivationDescriptor
      extends MavenDescriptor

  Descriptor containing conditions within the build runtime environment which will trigger the automatic inclusion of the build profile.
  Author:
    ronald.kunzmann@buschmais.com
  See Also:
    `Activation`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MavenActivationFileDescriptor` | `getActivationFile()` Get specifies that this profile will be activated based on existence of a file.
    `MavenActivationOSDescriptor` | `getActivationOS()` Get specifies that this profile will be activated when matching operating system attributes are detected.
    `String` | `getJdk()` Get specifies that this profile will be activated when a matching JDK is detected.
    `com.buschmais.jqassistant.plugin.common.api.model.PropertyDescriptor` | `getProperty()` Get specifies that this profile will be activated when this system property is specified.
    `boolean` | `isActiveByDefault()` Get if set to true, this profile will be active unless another profile in this pom is activated using the command line -P option or by one of that profile's activators.
    `void` | `setActivationFile(MavenActivationFileDescriptor activationFile)`
    `void` | `setActivationOS(MavenActivationOSDescriptor activationOS)`
    `void` | `setActiveByDefault(boolean activeByDefault)`
    `void` | `setJdk(String jdk)`
    `void` | `setProperty(com.buschmais.jqassistant.plugin.common.api.model.PropertyDescriptor propertyDescriptor)`

- - ### Method Detail

    - #### isActiveByDefault

          @Property(value="activeByDefault")
          boolean isActiveByDefault()

      Get if set to true, this profile will be active unless another profile in this pom is activated using the command line -P option or by one of that profile's activators.
      Returns:
        boolean

    - #### setActiveByDefault

          void setActiveByDefault(boolean activeByDefault)

    - #### getJdk

          @Property(value="jdk")
          String getJdk()

      Get specifies that this profile will be activated when a matching JDK is detected. For example, `1.4` only activates on JDKs versioned 1.4, while `!1.4` matches any JDK that is not version 1.4.
      Returns:
        String

    - #### setJdk

          void setJdk(String jdk)

    - #### getActivationFile

          @Relation(value="ACTIVATED_BY_FILE")
          MavenActivationFileDescriptor getActivationFile()

      Get specifies that this profile will be activated based on existence of a file.
      Returns:
        MavenActivationFileDescriptor

    - #### setActivationFile

          void setActivationFile(MavenActivationFileDescriptor activationFile)

    - #### getActivationOS

          @Relation(value="ACTIVATED_BY_OS")
          MavenActivationOSDescriptor getActivationOS()

      Get specifies that this profile will be activated when matching operating system attributes are detected.
      Returns:
        MavenActivationOSDescriptor

    - #### setActivationOS

          void setActivationOS(MavenActivationOSDescriptor activationOS)

    - #### getProperty

          @Relation(value="HAS_PROPERTY")
          com.buschmais.jqassistant.plugin.common.api.model.PropertyDescriptor getProperty()

      Get specifies that this profile will be activated when this system property is specified.
      Returns:
        PropertyDescriptor

    - #### setProperty

          void setProperty(com.buschmais.jqassistant.plugin.common.api.model.PropertyDescriptor propertyDescriptor)

Copyright © 2015 buschmais GbR. All rights reserved.